Name: H5Pequal
Signature:
  htri_t `H5Pequal`( hid_t id1, hid_t id2 )
Purpose:
  Compares two property lists or classes for equality.
Description:
  `H5Pequal` compares two property lists or classes to determine whether they are equal to one another.

  Either both `id1` and `id2` must be property lists or both must be classes; comparing a list to a class is an error.

Parameters:

hid_t `id1` | IN: First property object to be compared
hid_t `id2` | IN: Second property object to be compared

Returns:
  Success: TRUE (positive) if equal; FALSE (zero) if unequal
  Failure: a negative value
Fortran90 Interface: h5pequal_f

      SUBROUTINE h5pequal_f(plist1_id, plist2_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist1_id ! Property list identifier
        INTEGER(HID_T), INTENT(IN) :: plist2_id ! Property list identifier
        LOGICAL, INTENET(OUT)      :: flag      ! Flag
                                                !    .TRUE. if lists are equal
                                                !    .FALSE. otherwise
        INTEGER, INTENT(OUT)       :: hdferr    ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5pequal_f